
function love.load()
  window_height_conf = love.window.getHeight()
  window_width_conf = love.window.getWidth()
  
  print(window_width_conf)
  print(window_height_conf)
  
  love.window.setMode(1920, 1080, SetMode())
  
  window_height_setmode = love.window.getHeight()
  window_width_setmode = love.window.getWidth()
  
  font_24 = love.graphics.newFont(24)
  love.graphics.setFont(font_24)
end

function love.update(dt)
end

function love.draw(dt)
  local text = "Conf: (" .. window_width_conf .. ", " .. window_height_conf .. ")"
  love.graphics.printf(text, window_width_setmode - ((love.graphics.getFont():getWidth(text) + 10)), 10, 1000, "left", 0, 1, 1)
  text = "SetMode: (" .. window_width_setmode .. ", " .. window_height_setmode .. ")"
  love.graphics.printf(text, window_width_setmode - ((love.graphics.getFont():getWidth(text) + 10)), 15 + love.graphics.getFont():getHeight(text), 1000, "left", 0, 1, 1)
end

function SetMode()
  local r = {}
  r.fullscreen = true
  r.fullscreentype = "desktop"
  r.vsync = true
  r.fsaa = 2
  r.resizable = false
  r.borderless = false
  r.centered = true
  r.display = 1
  r.minwidth = 1
  r.minheight = 1
  r.highdpi = false
  r.srgb = false
  r.x = nil
  r.y = nil
  
  return r
end

function love.keypressed(key)
  if key == "escape" then
    love.event.quit()
  end
end